summary refs log tree commit diff
path: root/www/git.causal.agency/about-filter.sh
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2021-09-30 20:27:09 +0000
committerJune McEnroe <june@causal.agency>2021-09-30 22:57:04 +0000
commitba66b5502008ab37f8de2ed2fa8a610ca5ecafb6 (patch)
treede0392809e34cb4c6a18496096ce03fcae61621e /www/git.causal.agency/about-filter.sh
parentSilence owner-info error (diff)
downloadsrc-ba66b5502008ab37f8de2ed2fa8a610ca5ecafb6.tar.gz
src-ba66b5502008ab37f8de2ed2fa8a610ca5ecafb6.zip
Build and copy static binaries to /var/www
Ideally these wouldn't require sh, cat, rm, mktemp.
Diffstat (limited to 'www/git.causal.agency/about-filter.sh')
-rw-r--r--www/git.causal.agency/about-filter.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/www/git.causal.agency/about-filter.sh b/www/git.causal.agency/about-filter.sh
index 2ff645e2..7a93d471 100644
--- a/www/git.causal.agency/about-filter.sh
+++ b/www/git.causal.agency/about-filter.sh
@@ -1,15 +1,16 @@
 #!/bin/sh
+set -eu
 
 options=fragment,man=%N.%S,includes=../tree/%I
 
 case "$1" in
 	(README.[1-9])
-		exec /usr/bin/mandoc -T html -O $options
+		exec mandoc -T html -O $options
 		;;
 	(*.[1-9])
-		exec /usr/bin/mandoc -T html -O $options,toc
+		exec mandoc -T html -O $options,toc
 		;;
 	(*)
-		exec /usr/local/libexec/hilex -l text -f html -o pre
+		exec hilex -l text -f html -o pre
 		;;
 esac